io.vertx.rxjava.ext.shell.command

## Class CommandBuilder

- java.lang.Object
- - io.vertx.rxjava.ext.shell.command.CommandBuilder

-     public class CommandBuilder
      extends Object

  A build for Vert.x Shell command.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandBuilder(CommandBuilder delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Command` | `build(Vertx vertx)` Build the command
    `static CommandBuilder` | `command(CLI cli)` Create a new commmand with its `CLI` descriptor.
    `static CommandBuilder` | `command(String name)` Create a new commmand builder, the command is responsible for managing the options and arguments via the `#args() arguments`.
    `CommandBuilder` | `completionHandler(Handler<Completion> handler)` Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.
    `Object` | `getDelegate()`
    `static CommandBuilder` | `newInstance(CommandBuilder arg)`
    `CommandBuilder` | `processHandler(Handler<CommandProcess> handler)` Set the command process handler, the process handler is called when the command is executed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandBuilder

          public CommandBuilder(CommandBuilder delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### command

          public static CommandBuilder command(String name)

      Create a new commmand builder, the command is responsible for managing the options and arguments via the `#args() arguments`.
      Parameters:
        `name` - the command name
      Returns:
        the command

    - #### command

          public static CommandBuilder command(CLI cli)

      Create a new commmand with its `CLI` descriptor. This command can then retrieve the parsed `CommandProcess.commandLine()` when it executes to know get the command arguments and options.
      Parameters:
        `cli` - the cli to use
      Returns:
        the command

    - #### processHandler

          public CommandBuilder processHandler(Handler<CommandProcess> handler)

      Set the command process handler, the process handler is called when the command is executed.
      Parameters:
        `handler` - the process handler
      Returns:
        this command object

    - #### completionHandler

          public CommandBuilder completionHandler(Handler<Completion> handler)

      Set the command completion handler, the completion handler when the user asks for contextual command line completion, usually hitting the tab key.
      Parameters:
        `handler` - the completion handler
      Returns:
        this command object

    - #### build

          public Command build(Vertx vertx)

      Build the command
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the built command

    - #### newInstance

          public static CommandBuilder newInstance(CommandBuilder arg)

Copyright © 2016. All rights reserved.